@charset 'utf-8';

/* 共通部分 */
html {
  font-size: 100%;
  /* スムーズスクロール */
  scroll-behavior: smooth;
}
body {
  color: #050507;
  font-family: 'Source Sans Pro', sans-serif;
  font-weight: 300;
}
a {
  color: #fff;
  text-decoration: none;
}
img {
  max-width: 100%;
  vertical-align: bottom;
  object-fit: cover;
}
li {
  list-style: none;
}

/* コンテンツ幅を設定するための共通クラス */
.wrapper {
  max-width: 800px;
  margin: 0 auto;
  padding: 0 30px;
}
/* MainとFooter全体を囲むクラス */
.container {
  background: #050507;
  color: #fff;
  text-align: center;
}
/* h1タグ用 */
.site-title {
  margin-top: 50px;
  font-size: 3rem;
  font-weight: 300;
  letter-spacing: .03;
}
/* h2タグ用 */
.section-title {
  display: inline-block;
  margin-bottom: 45px;
  font-size: 2rem;
  font-weight: 300;
  letter-spacing: .03;
  border-bottom: 1px solid #ffffff;
}

/* フェードイン */
.fadein {
  opacity: 0;
}

/* z-index → .logo, .hamburger > .main-nav, #side-btn > #access, #contact > .bg */

/* Header */
.header__logo {
  display: none;
  position: fixed;
  top: 35px;
  left: 30px;
  z-index: 40;
  line-height: 1px;
}
.nav {
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 30;
  background-color: #050507;
  text-align: center;
  transition: .6s;
  transform: translateY(-100%);
}
.nav.open {
  transform: translateY(0%);
}
.nav__list {
  margin: 90px auto 30px;
}
.nav__item {
  margin-top: 20px;
}
.hamburger {
  display: none;
  position: fixed;
  top: 20px;
  right: 25px;
  z-index: 40;
  width: 42px;
  height: 42px;
  cursor: pointer;
}
.hamburger__line {
  position: absolute;
  background-color: #fff;
  width: 30px;
  height: 1px;
  left: 6px;
  transition: .5s ease-in-out;
}
.hamburger__line--top {
  top: 11px;
}
.hamburger__line--middle {
  top: 21px;
}
.hamburger .hamburger__line--bottom {
  top: 31px;
}
.hamburger.open .hamburger__line--top {
  top: 21px;
  left: 6px;
  transform: rotate(-45deg);
}
.hamburger.open .hamburger__line--middle,
.hamburger.open .hamburger__line--bottom  {
  top: 21px;
  transform: rotate(45deg);
}

/* Mainvisual */
.mainvisual {
  display: flex;
  justify-content: center;
  overflow-x: hidden;
}
.mainvisual__image {
  display: block;
  width: calc(100% / 3);
  height: 100vh;
  flex-shrink: 0;
}

/* Information */
.information {
  margin-top: 50px;
}
.information__date--en,
.information__date--ja {
  display: block;
}
.information__place {
  font-size: 2rem;
  font-weight: 400;
}
.information__place,
.information__date--ja {
  margin-top: 20px;
}

/* Gallery */
.gallery {
  margin-top: 80px;
}
.gallery__list {
  width: 100%;
}
.gallery__item + .gallery__item {
  margin-top: 30px;
}

/* Access */
.access {
  position: relative;
  z-index: 20;
  margin-top: 280px
}
.access__place {
  font-size: 1.75rem;
  font-weight: 400;
}
.access__address,
.access__contact {
  margin-top: 20px;
}
.access__btn {
  display: inline-block;
  margin-top: 30px;
  padding: 15px 82px;
  border: 1px solid #ffffff;
  transition: .3s;
}
.access__btn:hover {
  background-color: #050507;
}

/* サイドボタン */
.side-btn {
  display: none;
}

/* Contact */
.contact {
  margin-top: 280px;
  position: relative;
  z-index: 20;
}
.contact__btn {
  display: block;
  width: 100%;
  margin: 0 auto;
  padding: 30px 0;
  border: 1px solid #7D7D7D;
}
.contact__btn--other {
  margin-top: 20px;
}

/* Accessの背景画像 */
.bg {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 10;
  width: 100vw;
  height: 100vh;
  background: url("../img/bg.jpg") center center repeat !important;
  display: none;
}

/* Footer */
.footer {
  margin-top: 200px;
  padding: 60px 30px;
  font-size: .75rem;
  text-align: left;
  border-top: 1px solid #ffffff;
}
.footer__text {
  line-height: 1.6;
}
.footer__sns-list,
.footer__copyright {
  display: flex;
  gap: 15px;
  margin-top: 30px;
}

/* PC表示 */
@media (min-width: 900px) {
  /* 共通部分 */
  .site-title {
    margin-top: 100px;
    font-size: 6.25rem;
  }
  .section-title {
    font-size: 3.75rem;
  }

  /* Information */
  .information {
    margin-top: 100px;
  }
  .information__date--en {
    font-size: 1.5rem;
  }
  .information__time--en {
    font-size: 1.125rem;
  }
  .information__place {
    font-size: 2.5rem;
  }

  /* Gallery */
  .gallery {
    margin-top: 140px;
  }
  .gallery__item + .gallery__item {
    margin-top: 60px;
  }
  .gallery__item:nth-child(odd) {
    text-align: right;
  }
  .gallery__item:nth-child(even) {
    text-align: left;
  }
  .gallery__image {
    width: 48%;
  }

  /* Access */
  .access {
    margin-top: 480px
  }

  /* サイドボタン */
  .side-btn {
    display: block;
    position: fixed;
    bottom: 200px;
    right: -144px;
    z-index: 30;
    font-size: 0;
    transform: rotate(-90deg) translateY(60px);
    transition: .6s;
  }
  .side-btn__link {
    display: inline-block;
    width: 165px;
    padding: 15px 0;
    font-size: .875rem;
    border: 1px solid #ffffff;
    letter-spacing: .1em;
    transition: .3s;
  }
  .side-btn__link--visitor {
    border-right: none;
  }
  .side-btn__link:hover {
    opacity: .7;
  }

  /* Contact */
  .contact {
    margin-top: 480px
  }
  .contact__btn {
    position: relative;
    width: 400px;
    transition: .3s;
  }
  .contact__btn::before,
  .contact__btn::after {
    content: "";
    position: absolute;
    right: -40px;
    height: 1px;
    background-color: #fff;
    transition: .3s;
  }
  .contact__btn::before {
    width: 120px;
    top: 48px;
  }
  .contact__btn::after {
    width: 15px;
    top: 45px;
    transform: rotate(25deg);
  }
  .contact__btn:hover {
    opacity: .7;
  }
  .contact__btn:hover::before,
  .contact__btn:hover::after {
    right: -50px;
  }
  
  /* Footer */
  .footer {
    display: flex;
    align-items: flex-end;
    justify-content: space-between;
    padding: 80px 30px;
  }
  .footer__copyright {
    margin-top: 0;
  }
}
